- Main Page
- Namespaces
- Classes
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# BuddhaLib::BoundingFrustum Struct Reference

フラスタムを表現している構造体 More...

`#include <BuddhaBoundingFrustum.h>`

List of all members.

## Public Member Functions
| BoundingFrustum (const Matrix &value)
| コンストラクタ
Plane & | Near (void)
| ニアプレーンの取得
Plane & | Far (void)
| ファープレーンの取得
Plane & | Top (void)
| （ファー側へ向かって）上側のプレーンの取得
Plane & | Right (void)
| （ファー側へ向かって）右側のプレーンの取得
Plane & | Bottom (void)
| （ファー側へ向かって）下側のプレーンの取得
Plane & | Left (void)
| （ファー側へ向かって）左側のプレーンの取得
void | Contains (const Vector3 &position, CONTAINMENT_TYPE &result) const
| 境界フラスタムが position で指定される座標を含んでいるかどうかチェックする
CONTAINMENT_TYPE | Contains (const Vector3 &position) const
| 境界フラスタムが position で指定される座標を含んでいるかどうかチェックする
void | Contains (const BoundingSphere &sphere, CONTAINMENT_TYPE &result) const
| 境界フラスタムが sphere を含んでいるかどうかチェックする
CONTAINMENT_TYPE | Contains (const BoundingSphere &sphere) const
| 境界フラスタムが sphere を含んでいるかどうかチェックする
void | Contains (const BoundingBox &box, CONTAINMENT_TYPE &result) const
| 境界フラスタムが box を含んでいるかどうかチェックする
CONTAINMENT_TYPE | Contains (const BoundingBox &box) const
| 境界フラスタムが box を含んでいるかどうかチェックする

## Detailed Description

フラスタムを表現している構造体

## Constructor & Destructor Documentation

BuddhaLib::BoundingFrustum::BoundingFrustum | ( | const Matrix & | value | ) |

コンストラクタ

Parameters:

  | value | ビュー×プロジェクション

## Member Function Documentation

void BuddhaLib::BoundingFrustum::Contains | ( | const Vector3 & | position,
|  | CONTAINMENT_TYPE & | result |
| ) |  |  | const

境界フラスタムが position で指定される座標を含んでいるかどうかチェックする

Parameters:

  | position | チェックする座標
  | result | [結果出力] この境界フラスタムと position の関係をしめす列挙子の値

CONTAINMENT_TYPE BuddhaLib::BoundingFrustum::Contains | ( | const Vector3 & | position | ) | const

境界フラスタムが position で指定される座標を含んでいるかどうかチェックする

Parameters:

  | position | チェックする座標

Returns:
  この境界フラスタムと position の関係をしめす列挙子の値

void BuddhaLib::BoundingFrustum::Contains | ( | const BoundingSphere & | sphere,
|  | CONTAINMENT_TYPE & | result |
| ) |  |  | const

境界フラスタムが sphere を含んでいるかどうかチェックする

Parameters:

  | sphere | 判定対象のスフィア
  | result | [結果出力] この境界フラスタムと sphere の関係をしめす列挙子の値

Attention:
  メンバにポインタを当てているのでメンバの順番に注意が必要

CONTAINMENT_TYPE BuddhaLib::BoundingFrustum::Contains | ( | const BoundingSphere & | sphere | ) | const

境界フラスタムが sphere を含んでいるかどうかチェックする

Attention:
  メンバにポインタを当てているのでメンバの順番に注意が必要

void BuddhaLib::BoundingFrustum::Contains | ( | const BoundingBox & | box,
|  | CONTAINMENT_TYPE & | result |
| ) |  |  | const

境界フラスタムが box を含んでいるかどうかチェックする

Parameters:

  | box | 判定対象の境界ボックス
  | result | [結果出力] この境界フラスタム box の関係をしめす列挙子の値

CONTAINMENT_TYPE BuddhaLib::BoundingFrustum::Contains | ( | const BoundingBox & | box | ) | const

境界フラスタムが box を含んでいるかどうかチェックする

Parameters:

  | box | 判定対象の境界ボックス

Returns:
  この境界フラスタム box の関係をしめす列挙子の値